<?php

// Creado: L I Juan Pablo Sánchez Bracamontes, 24/May/2018. Se crea el controlador para contener todas las funciones referentes a la administración de consulta externa
namespace App\Http\Controllers\ConsultaExterna;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

use App\Libraries\ejLib;
Use SimpleXMLElement;
Use Session;

class FuncionesController extends Controller{

	// 12 Jun 2023 . Juan Pablo Sánchez Bracamontes
	public function getLstReferencias_csv(){
		$Notif=	array('error' => '0', 'titulo' => '', 'detalle' => '');

	    $var = ejLib::getInstance();
	    $CLUES = (isset($_POST['CLUES']) ? $_POST['CLUES'] : ''); 
	    $CLUES_solicitante = $_POST['CLUES_solicitante']; 
	    $status = $_POST['status']; 
	    $fecha_inicio = $_POST['fecha_inicio']; 
	    $fecha_termino = $_POST['fecha_termino']; 
	    $tipo_solicitud = $_POST['tipo_solicitud']; 
	    $leido = $_POST['leido']; 
	    $sinobservaciones='NULL'; if(isset($_POST['sinobservaciones']))$sinobservaciones=$_POST['sinobservaciones'];
	    $especialidad = $_POST['especialidad'];	    

	    if($CLUES == 'undefined')$CLUES = '';

	    $tipo_filtro ='';
    	$no_solicitud = '';
		if(isset($_POST['tipo_filtro']))$tipo_filtro=$_POST['tipo_filtro'];
    	if(isset($_POST['no_solicitud']))$no_solicitud=$_POST['no_solicitud'];
    	$nombre = '';
		if(isset($_POST['nombre']))$nombre=$_POST['nombre'];
	    $soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();
//die("$CLUES, $CLUES_solicitante, $status, $fecha_inicio, $fecha_termino, $tipo_solicitud, $leido, $especialidad,$tipo_filtro,$no_solicitud, $sinobservaciones, $nombre");
		$data = $soapclient->ConsultaExterna_getLstReferencias_rpt_excel($CLUES, $CLUES_solicitante, $status, $fecha_inicio, $fecha_termino, $tipo_solicitud, $leido, $especialidad,$tipo_filtro,$no_solicitud, $sinobservaciones, $nombre, $wsClave);

		
        $respuesta = new SimpleXMLElement(utf8_encode($data));
		

      

        $data = array();
        $i = 0;

        foreach($respuesta->respuesta AS $row){                    	
        	array_push($data, array(++$i, utf8_decode(utf8_decode($row->nombre_de_la_unidad_origen)), utf8_decode(utf8_decode($row->tipo_solicitud)), $row->fecha_ref, $row->fecha_envio, utf8_decode(utf8_decode($row->datos_del_paciente)), utf8_decode(utf8_decode($row->sex_nombre)), utf8_decode(utf8_decode($row->edad_pac)), $row->fecha_nac, ($row->telefono == '' ? $row->celular : $row->telefono), $row->curp, utf8_decode(utf8_decode($row->entidad_fed_nac_nombre)), utf8_decode(utf8_decode($row->medico_solicito)), $row->diagnostico_clave, utf8_decode(utf8_decode($row->diagnostico_primero)), utf8_decode(utf8_decode($row->folioconsulta)), utf8_decode(utf8_decode($row->especialidad)), utf8_decode(utf8_decode($row->nombre_de_la_unidad_destino)), str_replace("-", "/", $row->fecha_cita), $row->hora_cita, utf8_decode(utf8_decode($row->medico)), utf8_decode(utf8_decode($row->num_modulo)), $row->consultorio, utf8_decode(utf8_decode($row->observacion)), '', ''
        		)
        	);			
            //array_push($data, array(utf8_decode(utf8_decode($row->servicio)), utf8_decode(utf8_decode($row->descripcion_cama)), utf8_decode(utf8_decode($row->nombre)), utf8_decode(utf8_decode($row->edad)), " ".$row->he, utf8_decode(utf8_decode($row->diagnosticomedico))));
        }
        
        $header_args = array( 'No', utf8_decode('Unidad médica que refiere'), 'tipo de solicitud', 'fecha de solicitud', 'fecha de carga', 'nombre del paciente', 'sexo', 'edad', 'fecha de nacimiento', 'no. Telefono', 'curp', 'entidad de nacimiento', utf8_decode('medico que refiere'), utf8_decode('Clave diagnóstico'), utf8_decode('Diagnóstico Principal'), 'Folio de referencia', 'especialidad', 'unidad a la que refiere', 'fecha cita', 'hora', 'medico', utf8_decode('modulo'), 'CONSULTORIO', utf8_decode('OBSERVACIONES DE LA UNIDAD MÉDICA DE REFERENCIA'), 'existe contra referencia', 'fecha conta refeencia' );


        
        header('Content-Type: text/csv; charset=utf-8');
        header('Content-Disposition: attachment; filename=bitacora-referencias.csv');

        $output = fopen( 'php://output', 'w' );
        ob_end_clean();
        fputcsv($output, $header_args);

        foreach($data AS $data_item){
            fputcsv($output, $data_item);
        }
        exit;
        
	}

	// 28 May 2018 . Juan Pablo Sánchez Bracamontes
	public function getLstReferencias(){
		$Notif=	array('error' => '0', 'titulo' => '', 'detalle' => '');

	    $var = ejLib::getInstance();
	    $CLUES='';
    	$CLUES_solicitante='';
    	$status='NULL';
    	$fecha_inicio='';
    	$fecha_termino='';
    	$tipo_solicitud='NULL';
    	$leido='NULL';
    	$sinobservaciones='NULL';
    	$especialidad='NULL';    	
    	$CS='0';
    	$tipo_filtro ='';
    	$no_solicitud = '';
    	$nombre = '';
    	$observaciones = '';

    	if(isset($_POST['CLUES']))$CLUES=$_POST['CLUES'];
    	if(isset($_POST['CLUES_solicitante']))$CLUES_solicitante=$_POST['CLUES_solicitante'];
    	if(isset($_POST['status']))$status=$_POST['status'];
    	if(isset($_POST['fecha_inicio']))$fecha_inicio=$_POST['fecha_inicio'];
    	if(isset($_POST['fecha_termino']))$fecha_termino=$_POST['fecha_termino'];
    	if(isset($_POST['tipo_solicitud']))$tipo_solicitud=$_POST['tipo_solicitud'];
    	if(isset($_POST['leido']))$leido=$_POST['leido'];
    	if(isset($_POST['sinobservaciones']))$sinobservaciones=$_POST['sinobservaciones'];
    	if(isset($_POST['especialidad']))$especialidad=$_POST['especialidad'];
    	if(isset($_POST['tipo_filtro']))$tipo_filtro=$_POST['tipo_filtro'];
    	if(isset($_POST['no_solicitud']))$no_solicitud=$_POST['no_solicitud'];
    	
    	if(isset($_POST['CS']))$CS=$_POST['CS'];
    	if(isset($_POST['nombre']))$nombre=$_POST['nombre'];
    	if(isset($_POST['observaciones']))$observaciones=$_POST['observaciones'];

    	//echo "$CLUES, $CLUES_solicitante, $status, $fecha_inicio, $fecha_termino, $tipo_solicitud, $leido, $especialidad $tipo_filtro,$no_solicitud, $sinobservaciones";

	  $soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();
		$objeto = $soapclient->ConsultaExterna_getLstReferencias($CLUES, $CLUES_solicitante, $status, $fecha_inicio, $fecha_termino, $tipo_solicitud, $leido, $especialidad,$tipo_filtro,$no_solicitud, $sinobservaciones, $nombre, $observaciones, $wsClave);
		
		$xml  = new SimpleXMLElement(utf8_encode($objeto));
		//print_r($xml);
		if(isset($xml->respuesta)){

			$i=0;
			echo '<div class="txtSepVertical txtAltura10px"></div><table id="tbl_sol_referencias" name="tbl_sol_referencias" style="font-size: 12px; width: 98%; margin:auto;" class="table table-bordered table-hover"><tr style="cursor:pointer;"><th style="text-align: center;" data-col="0" data-tipo="1">No</th><th style="text-align: center;" data-col="1" data-tipo="2">Actualizada</th><th style="text-align: center;" data-col="1" data-tipo="2">Registrada</th><th style="text-align: center;" data-col="2" data-tipo="2">Centro de Salud</th><th style="text-align: center;" data-col="3" data-tipo="2">Tipo</th><th style="text-align: center;" data-col="4" data-tipo="2">Datos del Paciente</th><th style="text-align: center;" data-col="5" data-tipo="2">Especialidad</th><th style="text-align: center;" data-col="6" data-tipo="1">Modulo</th><th style="text-align: center;" data-col="7" data-tipo="2">Medico</th><th style="text-align: center;" data-col="8" data-tipo="2">Cita</th><th style="text-align: center; cursor:text; ">Opciones</th><th style="text-align: center;" data-col="10" data-tipo="2">Observaciones</th><th style="text-align: center;" data-col="11" data-tipo="2">Edad</th><th style="text-align: center;" data-col="11" data-tipo="2">CURP</th><th style="text-align: center;" data-col="12" data-tipo="2">Referencia</th><th style="text-align: center;" data-col="13" data-tipo="1">Folio</th><th style="text-align: center;" data-col="14" data-tipo="1">Cosec</th></tr>';
		    foreach($xml->respuesta as $reg){



		    	if(isset($reg->error)){
		    		$Notif=	array('error' => '1', 'titulo' => $reg->tituloerror, 'detalle' => $reg->descripcionerror);
		    	}else{
		    		$cadLeido = '';
		    		if($reg->leido=='0') $cadLeido = ' font-weight: bold; ';
						$cadCancelado = '';

						if($reg->estatus=='Cancelada'); $cadCancelado = 'cursor: not-allowed; ';
	 					if($reg->estatus=='Enviada'); $cadCancelado = 'cursor: pointer; ';



		    		if($CS=='0' and $reg->estatus !='Cancelada'){
		    			echo "<tr style='color:".$reg->color."; $cadLeido'><td>" . ++$i . "</td><td>".$reg->momento_ult_act."</td><td>".$reg->fecha_envio."</td><td>".utf8_decode($reg->nombre_de_la_unidad_origen)."</td><td>".$reg->tipo_solicitud."</td><td>".utf8_decode($reg->datos_del_paciente)."</td><td>".utf8_decode($reg->especialidad)."</td><td>".$reg->consultorio."</td><td>".utf8_decode($reg->medico)."</td><td>".$reg->momento_cita."</td><td>Aceptar

						
						<span class='fa fa-calendar-plus-o' aria-hidden='true' style='cursor: pointer;' onclick='viewBuscarPacienteReferenciado(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.");' title='Aceptar'></span>

		    			<span class='fa fa-eye' aria-hidden='true' style='cursor: pointer;' onclick='viewSolicitudReferencia(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.");' title='Revisar...'></span>

						<span class='fa fa-print' aria-hidden='true' style='cursor: pointer;'  onclick='viewImprimirReferencia(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.");' title='Imprimir'></span>


						<span class='fa fa-times' aria-hidden='true' style='cursor: pointer;'  onclick='cancelarReferencia(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.",1);' title='Cancelar'></span>


		    			</td><td title='<Clic> para revisar observaciones...' style='cursor: pointer;' onclick='listarObservacionesRef(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.",1);'>".utf8_decode($reg->observacion)."</td><td>".utf8_decode($reg->edad)."</td><td>".utf8_decode($reg->curp)."</td><td>".utf8_decode($reg->fecha_ref)."</td><td>".utf8_decode($reg->folioconsulta)."</td><td>".utf8_decode($reg->consecutivoconsulta)."</td></tr>";

		    		}


		    		else { 
		    			if($reg->estatus == 'Enviada'){
		    			echo "<tr style='color:".$reg->color."; $cadLeido'><td>" . ++$i . "</td><td>".$reg->momento_ult_act."</td><td>".$reg->fecha_envio."</td><td>".utf8_decode($reg->nombre_de_la_unidad_destino)."</td><td>".$reg->tipo_solicitud."</td><td>".utf8_decode($reg->datos_del_paciente)."</td><td>".utf8_decode($reg->especialidad)."</td><td>".$reg->consultorio."</td><td>".utf8_decode($reg->medico)."</td><td>".$reg->momento_cita."</td><td style='text-align: center;'>
		    			<span class='fa fa-edit' aria-hidden='true' style='cursor: pointer;' onclick='UpSolicitudReferencia(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.");' title='Editar...'></span> <img class='cmd_ver_info_paciente' src='img/folder.png' width='20px' style='cursor: pointer;' title='Información del paciente...'' onclick='getInfoPaciente(".'"'.$reg->nombre_pac.'", "'.$reg->primerap_pac.'", "'.$reg->segundoap_pac.'", "'.$reg->curp.'"'.");''> </td><td title='<Clic> para revisar observaciones...' style='cursor: pointer;' onclick='listarObservacionesRef(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.",0);'>".utf8_decode($reg->observacion)." </td><td>".utf8_decode($reg->edad)."</td><td>".utf8_decode($reg->curp)."</td><td>".utf8_decode($reg->fecha_ref)."</td><td>".utf8_decode($reg->folioconsulta)."</td><td>".utf8_decode($reg->consecutivoconsulta)."</td></tr>";
		    			}


							else
							//23 Ene 19 Janeth Cuevas
							if($reg->estatus == 'Cancelada') {
								echo "<tr style='color:".$reg->color."; $cadLeido'><td>" . ++$i . "</td><td>".$reg->momento_ult_act."</td><td>".$reg->fecha_envio."</td><td>".utf8_decode($reg->nombre_de_la_unidad_origen)."</td><td>".$reg->tipo_solicitud."</td><td>".utf8_decode($reg->datos_del_paciente)."</td><td>".utf8_decode($reg->especialidad)."</td><td>".$reg->consultorio."</td><td>".utf8_decode($reg->medico)."</td><td>".$reg->momento_cita."</td><td>Aceptar<span class='fa fa-calendar-plus-o' aria-hidden='true' style='cursor: pointer;' title='Agendar'></span><span class='fa fa-eye' aria-hidden='true' style='cursor: pointer;' onclick='viewSolicitudReferencia(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.");' title='Revisar...'></span><span class='fa fa-print' aria-hidden='true' style='cursor: pointer;'  onclick='viewImprimirReferencia(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.");' title='Imprimir'></span><span class='fa fa-times' aria-hidden='true' style='cursor: not-allowed; ' title='Cancelar'></span></td><td title='<Clic> para revisar observaciones...' style='cursor: pointer; ' onclick='listarObservacionesRef(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.",0);'>".utf8_decode($reg->observacion)."</td><td>".utf8_decode($reg->edad)."</td><td>".utf8_decode($reg->curp)."</td><td>".utf8_decode($reg->fecha_ref)."</td><td>".utf8_decode($reg->folioconsulta)."</td><td>".utf8_decode($reg->consecutivoconsulta)."</td></tr>";
							}
								else

		    			echo "<tr style='color:".$reg->color."; $cadLeido'><td>" . ++$i . "</td><td>".$reg->momento_ult_act."</td><td>".$reg->fecha_envio."</td><td>".utf8_decode($reg->nombre_de_la_unidad_destino)."</td><td>".$reg->tipo_solicitud."</td><td>".utf8_decode($reg->datos_del_paciente)."</td><td>".utf8_decode($reg->especialidad)."</td><td>".$reg->consultorio."</td><td>".utf8_decode($reg->medico)."</td><td>".$reg->momento_cita."</td><td style='text-align: center;'><span class='fa fa-eye' aria-hidden='true' style='cursor: pointer;' onclick='viewSolicitudReferencia(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.");' title='Revisar...'></span> <img class='cmd_ver_info_paciente' src='img/folder.png' width='20px' style='cursor: pointer;' title='Información del paciente...'' onclick='getInfoPaciente(".'"'.$reg->nombre_pac.'", "'.$reg->primerap_pac.'", "'.$reg->segundoap_pac.'", "'.$reg->curp.'"'.");''></td><td title='<Clic> para revisar observaciones...' style='cursor: pointer;'  onclick='listarObservacionesRef(".'"'.$reg->id_solicitud.'", "'.$reg->clues_origen.'"'.",0);'>".utf8_decode($reg->observacion)." </td><td>".utf8_decode($reg->edad)."</td><td>".utf8_decode($reg->curp)."</td><td>".utf8_decode($reg->fecha_ref)."</td><td>".utf8_decode($reg->folioconsulta)."</td><td>".utf8_decode($reg->consecutivoconsulta)."</td></tr>";
		    		}
		    	}
		    }
		    echo '</table>';
	    }else{
	    	$Notif=	array('error' => '1', 'titulo' => 'No hay registros que mostrar', 'detalle' => 'La consulta no arrojó ningún resultado, cambie los valores proporcionados en su consulta he intentelo de nuevo');
	    }
	    ?>
	    <input type="hidden" id="hError" name="hError" value="<?php echo $Notif["error"];  ?>">
	    <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo $Notif["titulo"];  ?>">
	    <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo $Notif["detalle"];  ?>">
	    <div class="txtSepVertical txtAltura10px"></div>
	    <?php
	}

	// 09 Ago 2018 . Juan Pablo Sánchez Bracamontes
	public function getLstObservacionesDeReferencia(){

		session_start(); // El formulario requiere el uso de variables de sesion
		$id_solicitud='';
		$clues_origen='';
		$consulta_hospital = '0';
        if(isset($_POST['id_solicitud']))$id_solicitud=$_POST['id_solicitud'];
        if(isset($_POST['clues_origen']))$clues_origen=$_POST['clues_origen'];

        if(isset($_POST['consulta_hospital']))$consulta_hospital=$_POST['consulta_hospital'];



        $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();

        $data = $soapclient->ConsultaExterna_getLstObservacionesDeReferencia($id_solicitud, $clues_origen, $consulta_hospital, $wsClave);


        $result = simplexml_load_string($data);

        /*
        if(! isset($result->respuesta) ){
            return response()->json(array(
                'error' => 1,
                'mensaje' => 'No pudieron recuperarse los registros de observaciones para la referencia proporcionada'
            ));
        }else{ 
	     if( $result->respuesta[0]->error != '0' ){
	            return response()->json(array(
	                'error' => 1,
	                'mensaje' => $result->respuesta->descripcionerror.''
	            ));
	        }
        } */
       
        return view('ConsultaExterna.Referencias.getLstObservacionesDeReferencia')->with('result', $result);
	}
//07 Marzo 2019 Janeth Cuevas
	public function getLstPaciente(){
		session_start();
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
        $usuario = $_SESSION['operador'];
        
        $Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
		$Centro_Sal = trim($Centro_Sal);
	
		
		$nombrePac='';
		$primerAp='';
		$segundoAp='';
		$infCompleta='';
		$clues_destino='';
		$tipoBusqueda='';
		$FolioSPopular='';
		$numExp='';
		$id_centro_sal='';
		$clave_pac ='';
		$editable  ='';
		$curp = '';
		$editar = '';
		$opcNuevaCita = '';
		$Activos = '';
		$editarInfoReferencia = ''; // 04 Octubre 23 Janeth C
		$tipo ='';
        if(isset($_POST['nombrePac']))$nombrePac=$_POST['nombrePac'];
        if(isset($_POST['primerAp']))$primerAp=$_POST['primerAp'];
        if(isset($_POST['segundoAp']))$segundoAp=$_POST['segundoAp'];
        if(isset($_POST['infCompleta']))$infCompleta=$_POST['infCompleta'];
		if(isset($_POST['clues_destino']))$clues_destino=$_POST['clues_destino'];
		if(isset($_POST['tipoBusqueda']))$tipoBusqueda=$_POST['tipoBusqueda'];
		if(isset($_POST['FolioSPopular']))$FolioSPopular=$_POST['FolioSPopular'];
		if(isset($_POST['numExp']))$numExp=$_POST['numExp'];
		if(isset($_POST['clave_pac']))$clave_pac=$_POST['clave_pac'];
		if(isset($_POST['curp']))$curp=$_POST['curp'];
		if(isset($_POST['editar'])) { $editar=$_POST['editar']; } else { $editar= '1';}
		if(isset($_POST['editable'])) { $editarInfoReferencia=$_POST['editable']; } else { $editarInfoReferencia= '1';}
		if(isset($_POST['opcNuevaCita'])) { $opcNuevaCita=$_POST['opcNuevaCita']; } else { $opcNuevaCita= '1';}

		if(isset($_POST['opcNuevaCitaUrg'])) { $opcNuevaCitaUrg=$_POST['opcNuevaCitaUrg']; } else { $opcNuevaCitaUrg= '0';}
		if(isset($_POST['tipo']))$tipo=$_POST['tipo']; // 1:CE, 2:Urg, 3:Hosp
		
		if($editar =='2'){
			$Activos = '0';
		}else{
			$Activos = '1';
		}

		if($clues_destino==''){
			$id_centro_sal = $Centro_Sal;
		} 
		else {
			$centro_salud = $soapclient->AdministrarCatalogos_get_CentroSalud('', $clues_destino,$wsClave); 
	   		$CS  = new SimpleXMLElement(utf8_encode($centro_salud));
	   		$id_centro_sal = trim($CS->respuesta[0]->centro_sal);
		}

   		switch($tipoBusqueda) {
   			case '1':
   			$objeto = $soapclient->BuscarPaciente_getLstPorNombre($id_centro_sal, $nombrePac, $primerAp, $segundoAp, $infCompleta, $Activos, $wsClave);
   			break;

   			case '2':
   			$objeto = $soapclient->BuscarPaciente_getLstPorCurp($id_centro_sal, $curp, '1',$Activos, $wsClave);
   		
   			
   			break;

   			case '3': 
   			$objeto = $soapclient->BuscarPaciente_getLstPorNExpediente($id_centro_sal, $numExp, $infCompleta,$Activos, $wsClave);
   			break;

   			case '4':
   			$objeto = $soapclient->BuscarPaciente_getLstPorFolioSPopular($id_centro_sal, $FolioSPopular, $infCompleta, $Activos, $wsClave);
   			break;

   			case '5':
   				$id_solicitud='';
   				$clues_origen='';
   				if(isset($_POST['id_solicitud']))$id_solicitud = $_POST['id_solicitud'];
	 			if(isset($_POST['clues_origen']))$clues_origen = $_POST['clues_origen'];

        		if ($id_solicitud =='') {
	       			$result = ['nombrePac' => $nombrePac, 'primerAp' => $primerAp, 'segundoAp' => $segundoAp ];
        		} 
        		else {
					$data = $soapclient->ConsultaExterna_get_referencia($id_solicitud, $clues_origen,$wsClave);
					$data = new SimpleXMLElement(utf8_encode($data));
					$result = ['paciente' => (object)$data->respuesta];
				
				
				}
				
   				return view('buscarPaciente.registrarPaciente')->with($result);
   				
   			break;

   			case '6':
   				$editable= '1';
   				$readOnly= '0';
   				if(isset($_POST['readOnly'])) { $readOnly=$_POST['readOnly']; } else { $readOnly= '0';}
   				$data = $soapclient->BuscarPaciente_getLstPorClavePac($clave_pac, $wsClave);
   				$data = new SimpleXMLElement(utf8_encode($data));
   				$result = ['paciente' => (object)$data->respuesta, 'editables' => $editable, 'readOnly' => $readOnly, 'tipo' => $tipo ];
   		
   				return view('buscarPaciente.registrarPaciente')->with($result);
   			  
   			break;
   		}
  		
		
		$xml  = new SimpleXMLElement(utf8_encode($objeto));
		//print_r($opcNuevaCitaUrg);
		if( $xml->respuesta->error == '1' ){
          $Notif=	array('error' => '1', 'titulo' => ' No hay registros que mostrar', 'detalle' => 'La consulta no arrojó ningún resultado, cambie los valores proporcionados en su consulta he intentelo de nuevo');
	   	 
	  	 echo $Notif["detalle"];
	   	// echo'<div class="txtSepVertical txtAltura10px">'.$Notif["detalle"].'</div>';
	  	 return;
	   	
	    }
		
		$varCmd_sel_pac='';		
		$varCmd_option = '';
		if(isset($xml->respuesta)){

			$i=0;
			
			if($infCompleta=='0'){	
				echo '<div class="txtSepVertical txtAltura10px"></div><table style="font-size: 12px; width: 98%; margin:auto;" class="table table-bordered table-hover"><tr>
					<th style="text-align: center;">No.</th>
					<th style="text-align: center;">Nombre</th>
					<th style="text-align: center;">Primer Apellido</th>
					<th style="text-align: center;">Segundo Apellido</th>
					<th style="text-align: center;">CURP</th>
					<th style="text-align: center;">No. Exp</th>
					<th style="text-align: center;">Sexo</th>
					<th style="text-align: center;">Opciones</th></tr>';
				
				foreach($xml->respuesta as $reg){	
					
				if ($reg->status == '1') {
							$varCmd_option = '<img class="cmd_baja_logica" data-centro_sal="'.$id_centro_sal.'" data-clave_pac="'.$reg->clave_pac.'" src="img/Activar.png" width="10px" style="cursor: pointer;" title="Dar de baja..." />';
						} elseif($reg->status == '0') {
							$varCmd_option = '<img class="cmd_baja_logica" data-centro_sal="'.$id_centro_sal.'" data-clave_pac="'.$reg->clave_pac.'" src="img/Baja.png" width="10px" style="cursor: pointer;" title="Activar..." />';
						}	

				if ($opcNuevaCita == '1') {
					$varCmd_sel_pac = '<img class="cmd_seleccionar_paciente" data-urgencias="'.$opcNuevaCitaUrg.'" data-clave_pac="'.$reg->clave_pac.'" src="img/seleccionar.png" width="20px" style="cursor: pointer;" title="Seleccionar" />';
				}
					
		 		if ($editar == '1') {
		 		echo '<tr class="tr_clave_pac_find" data-clave_pac="'.$reg->clave_pac.'">
		 			<td style="text-align: center;">' . ++$i . '</td> 	
		 			<td style="text-align: center;">'.utf8_decode($reg->nombre).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->primer_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->segundo_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->curp).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nexpediente).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->sexo).'</td>
					<td style="text-align: center;" data-esopciones="1"> '. $varCmd_sel_pac.'
						<span class="fa fa-pencil-square-o" aria-hidden="true" style="cursor: pointer;" onclick="editarRegistroPaciente('.$reg->clave_pac.');" title="Editar"></span>
						<img class="cmd_ver_agenda_paciente" data-clave_pac="'.$reg->clave_pac.'" src="img/book.png" width="20px" style="cursor: pointer;" title="Ver citas..." onclick="'."jqGetAjax_Modal('Agenda/Citas/get_histCitasPaciente','modalContent', {'clave_pac':this.dataset.clave_pac,' imprimeObjeto': '1'}, 'modalHistCitasPac'); ".'"" />
						

						
					</td>
		 			</tr>'; } elseif($editar == '2' ){
		 				
		 				echo '<tr class="tr_clave_pac_find" data-clave_pac="'.$reg->clave_pac.'">
		 			<td style="text-align: center;">' . ++$i . '</td> 	
		 			<td style="text-align: center;">'.utf8_decode($reg->nombre).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->primer_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->segundo_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->curp).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nexpediente).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->sexo).'</td>
					<td style="text-align: center;" data-esopciones="1"> '. $varCmd_sel_pac. $varCmd_option. '
						
		 				
		 			 
						
						
				
					</td>
		 			</tr>';

		 				} elseif($editar == '3'){
		 				
		 				$varCmd_sel_pac = '<img class="cmd_seleccionar_paciente" data-clave_pac="'.$reg->clave_pac.'" src="img/seleccionar.png" width="20px" style="cursor: pointer;" title="Seleccionar" />';


		 				
		 				echo '<tr class="tr_clave_pac_find" data-clave_pac="'.$reg->clave_pac.'">
		 			<td style="text-align: center;">' . ++$i . '</td> 	
		 			<td style="text-align: center;">'.utf8_decode($reg->nombre).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->primer_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->segundo_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->curp).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nexpediente).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->sexo).'</td>
					<td style="text-align: center;" data-esopciones="1"> '. $varCmd_sel_pac. '
						
		 				
		 			 
						
						
				
					</td>
		 			</tr>';

		 				}

		 				else

		 				 {
		 				echo '<tr class="tr_clave_pac_find" data-clave_pac="'.$reg->clave_pac.'">
			 			<td style="text-align: center;">' . ++$i . '</td> 	
			 			<td style="text-align: center;">'.utf8_decode($reg->nombre).'</td>
			 			<td style="text-align: center;">'.utf8_decode($reg->primer_ap).'</td>
			 			<td style="text-align: center;">'.utf8_decode($reg->segundo_ap).'</td>
			 			<td style="text-align: center;">'.utf8_decode($reg->curp).'</td>
			 			<td style="text-align: center;">'.utf8_decode($reg->nexpediente).'</td>
			 			<td style="text-align: center;">'.utf8_decode($reg->sexo).'</td>
						<td style="text-align: center;" data-esopciones="1"> '. $varCmd_sel_pac. '
							<img class="cmd_ver_agenda_paciente" data-clave_pac="'.$reg->clave_pac.'" src="img/book.png" width="20px" style="cursor: pointer;" title="Ver citas..." onclick="'."jqGetAjax_Modal('Agenda/Citas/get_histCitasPaciente','modalContent', {'clave_pac':this.dataset.clave_pac,' imprimeObjeto': '1'}, 'modalHistCitasPac'); ".'"" />
							 
							

							
						</td>
			 			</tr>';

		 			}
		 		}
			echo '</table>';
			}

			
			else {
			echo '<div class="txtSepVertical txtAltura10px"></div><table style="font-size: 12px; width: 98%; margin:auto; " class="table table-bordered table-hover"><tr>
				<th style="text-align: center;">No.</th>
				<th style="text-align: center;">Nombre</th>
				<th style="text-align: center;">Primer Apellido</th>
				<th style="text-align: center;">Segundo Apellido</th>
				<th style="text-align: center;">CURP</th>
				<th style="text-align: center;">No. Exp</th>
				<th style="text-align: center;">Sexo</th>
				<th style="text-align: center;">Fecha Nacimiento</th>
				<th style="text-align: center;">Edad</th>
				<th style="text-align: center;">Folio Afiliaci&oacute;n</th>
				<th style="text-align: center;">Consec</th>
				<th style="text-align: center;">Ini Vig.</th>
				<th style="text-align: center;">Fin Vig.</th>
				<th style="text-align: center;">Consultas</th>
				<th style="text-align: center;">Opciones</th>
				</tr>';

				foreach($xml->respuesta as $reg){	
					if ($reg->status == '1') {
							$varCmd_option = '<img class="cmd_baja_logica" data-centro_sal="'.$id_centro_sal.'" data-clave_pac="'.$reg->clave_pac.'" src="img/Activar.png" width="10px" style="cursor: pointer;" title="Dar de baja..." />';
						} elseif($reg->status == '0') {
							$varCmd_option = '<img class="cmd_baja_logica" data-centro_sal="'.$id_centro_sal.'" data-clave_pac="'.$reg->clave_pac.'" src="img/Baja.png" width="10px" style="cursor: pointer;" title="Activar..." />';
						}	
							
					if ($opcNuevaCita == '1') {
						$varCmd_sel_pac = '<img class="cmd_seleccionar_paciente" data-clave_pac="'.$reg->clave_pac.'" src="img/seleccionar.png" width="20px" style="cursor: pointer;" title="Seleccionar" />';
				}
		 		if ($editar == '1') {
		 		echo '<tr class="tr_clave_pac_find" data-clave_pac="'.$reg->clave_pac.'">
		 			<td style="text-align: center;">' . ++$i . '</td> 	
		 			<td style="text-align: center;">'.utf8_decode($reg->nombre).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->primer_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->segundo_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->curp).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nexpediente).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->sexo).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->fecha_nac).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->edad).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->folio_afil).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->consecutivo).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->inicio_vig).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->fin_vig).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nconsultas).'</td>
		 			<td style="text-align: center;" data-esopciones="1"> '. $varCmd_sel_pac.'
						<span class="fa fa-pencil-square-o" aria-hidden="true" style="cursor: pointer;" onclick="editarRegistroPaciente('.$reg->clave_pac.');" title="Editar"></span>
						<img class="cmd_ver_agenda_paciente" data-clave_pac="'.$reg->clave_pac.'" src="img/book.png" width="20px" style="cursor: pointer;" title="Ver citas..." onclick="'."jqGetAjax_Modal('Agenda/Citas/get_histCitasPaciente','modalContent', {'clave_pac':this.dataset.clave_pac,' imprimeObjeto': '1'}, 'modalHistCitasPac'); ".'"" />
						
						
					</td>
		 			</tr>'; } elseif($editar == '2'){
		 				echo '<tr class="tr_clave_pac_find" data-clave_pac="'.$reg->clave_pac.'">
		 			<td style="text-align: center;">' . ++$i . '</td> 	
		 			<td style="text-align: center;">'.utf8_decode($reg->nombre).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->primer_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->segundo_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->curp).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nexpediente).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->sexo).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->fecha_nac).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->edad).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->folio_afil).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->consecutivo).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->inicio_vig).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->fin_vig).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nconsultas).'</td>
		 			<td style="text-align: center;" data-esopciones="1">'.$varCmd_sel_pac. $varCmd_option. '
		 				
		 			 
						
						
					</td>
		 			</tr>';



		 				} 
		 			elseif($editar == '3'){
		 				
		 				$varCmd_sel_pac = '<img class="cmd_seleccionar_paciente" data-nombre="'.utf8_decode($reg->nombre).'" data-primerap = "'.utf8_decode($reg->primer_ap).'" data-segundoap="'.utf8_decode($reg->segundo_ap).'" data-curp="'.utf8_decode($reg->curp).'" data-expediente="'.utf8_decode($reg->nexpediente).'" data-clave_pac="'.$reg->clave_pac.'" data-totalcons="'.utf8_decode($reg->nconsultas).'" src="img/seleccionar.png" width="20px" style="cursor: pointer;" title="Seleccionar" />';


		 				
		 				echo '<tr class="tr_clave_pac_find" data-clave_pac="'.$reg->clave_pac.'">
		 			<td style="text-align: center;">' . ++$i . '</td> 	
		 			<td style="text-align: center;">'.utf8_decode($reg->nombre).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->primer_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->segundo_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->curp).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nexpediente).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->sexo).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->fecha_nac).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->edad).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->folio_afil).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->consecutivo).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->inicio_vig).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->fin_vig).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nconsultas).'</td>
		 			<td style="text-align: center;" data-esopciones="1"> '. $varCmd_sel_pac. '
						
		 				
		 			 
						
						
				
					</td>
		 			</tr>';
		 			}	else { echo '<tr class="tr_clave_pac_find" data-clave_pac="'.$reg->clave_pac.'">
		 			<td style="text-align: center;">' . ++$i . '</td> 	
		 			<td style="text-align: center;">'.utf8_decode($reg->nombre).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->primer_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->segundo_ap).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->curp).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nexpediente).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->sexo).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->fecha_nac).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->edad).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->folio_afil).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->consecutivo).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->inicio_vig).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->fin_vig).'</td>
		 			<td style="text-align: center;">'.utf8_decode($reg->nconsultas).'</td>
		 			<td style="text-align: center;" data-esopciones="1">'.$varCmd_sel_pac. '
		 				<img class="cmd_ver_agenda_paciente" data-clave_pac="'.$reg->clave_pac.'" src="img/book.png" width="20px" style="cursor: pointer;" title="Ver citas..." onclick="'."jqGetAjax_Modal('Agenda/Citas/get_histCitasPaciente','modalContent', {'clave_pac':this.dataset.clave_pac,' imprimeObjeto': '1'}, 'modalHistCitasPac'); ".'"" />
		 			 
						
						
					</td>
		 			</tr>';

		 			}
		 		}
		 		echo '</table>';
			}

			?>
	    <input type="hidden" id="hError" name="hError" value="0">
	    <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="">
	    <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="">

	    <!--<div class="modal-footer">
        <p class="text-center">
            <button type="button" class="btn btn-sm btn-primary" data-dismiss="modal" onclick='addNewPaciente'>Registrar Paciente</button>
      	 </p>
    	</div> -->

     	<?php
		}
	}

	// 08 Mar 2019 . Juan Pablo Sánchez Bracamontes
	public function getAgenda_xDiaxConsultorio(){

		session_start(); // El formulario requiere el uso de variables de sesion
		$id_consultorio=''; $fecha=''; $id_especialidad='';
        if(isset($_POST['id_consultorio']))$id_consultorio=$_POST['id_consultorio'];
        if(isset($_POST['fecha']))$fecha=$_POST['fecha'];
        if(isset($_POST['id_especialidad']))$id_especialidad=$_POST['id_especialidad'];

        $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();

        $data = $soapclient->ConsultaExterna_getLstAgenda_xDia($id_consultorio, $fecha, $id_especialidad, $wsClave);
        $result = simplexml_load_string($data);
        print_r($result);
        return view('ConsultaExterna.Agenda.getAgenda_xDiaxConsultorio')->with('result', $result)->with('fecha', $fecha);
	}

	



// 30 ene 2019 .agn
// visualiza los 
	public function getLstArchivosCargados()
	{

	session_start(); // El formulario requiere el uso de 


	$id_solicitud= '0';
	$Centro_Sal ='';
	$clues_origen= '';
	$id_DocRefiere = '0';
	$soloPendientes = '0';
		

	  if(isset($_POST['id_solicitud']))$id_solicitud=$_POST['id_solicitud'];

      if(isset($_POST['Clues_destino']))$clues_origen=$_POST['Clues_destino'];

      if(isset($_POST['id_DocRefiere']))$id_DocRefiere=$_POST['id_DocRefiere'];

        $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();

		// recuperando numero del centro de salud
		// en base a la clues
		$data = $soapclient->AdministrarCatalogos_get_CentroSalud('',$clues_origen, $wsClave);
		$result = simplexml_load_string($data);
		$Centro_Sal = trim($result->respuesta[0]->centro_sal);
		
		$data = $soapclient->ConsultaExterna_getLstTransacVolumenSolicitudReferencias($id_DocRefiere, $Centro_Sal, $soloPendientes, $wsClave);

		$result = simplexml_load_string($data);

		if(isset($result->respuesta)){

					$i=0;
		echo '<div class="txtSepVertical txtAltura10px"></div><table style="font-size: 12px; width: 98%; margin:auto;" class="table table-bordered table-hover"><tr><th style="text-align: center;">Centro de Salud</th><th style="text-align: center;">Transaccion</th><th style="text-align: center;">Estatus</th><th style="text-align: center;">Usuario</th><th style="text-align: center;">Fecha</th><th style="text-align: center;">Solicitudes</th><th style="text-align: center;">Errores</th><th</th></tr>';

			$i=0;
			foreach($result->respuesta as $reg)
			{

				if(isset($reg->error)){
		    		$Notif=	array('error' => '1', 'titulo' => $reg->tituloerror, 'detalle' => $reg->descripcionerror);
		    		//return($Notif);
					 echo $Notif["detalle"];

		    	}else
		    	{

				$cadena = "<tr><td>".utf8_decode($reg->centrosalud)."</td>";
				$cadena = $cadena."<input type='hidden' id='id_centrosal' value=".$reg->centro_sal.">";
				$cadena = $cadena."<td>".$reg->id_transaccion."</td>";
				$cadena = $cadena."<input type='hidden' id='id_transaccion' value=".$reg->id_transaccion.">";
				$cadena = $cadena."<td>".$reg->nombreestatus."</td>";
				$cadena = $cadena."<td>".$reg->nombremedico."</td>";
				$cadena = $cadena."<td>".$reg->momento_alta."</td>";
				
				$solicitud= "<a href='#' id=verTransaccion".$reg->id_transaccion.' name=verTransaccion'.$reg->id_transaccion.' ><input type="hidden" value="0" id="h_Transaccion"  name="h_Transaccion"></a> ';
				
				$cadena = $cadena.'<td><a href="#" ';
				$cadena = $cadena.' onclick="jqGetAjax_Modal(';
				//$cadena = $cadena."'".url('').'/';
				$cadena = $cadena."'";
				$cadena = $cadena."get_transacvolumensolicitudreferencias','modalContent',";
				$cadena = $cadena."{'id_centrosal':'".$reg->centro_sal."',";
				$cadena = $cadena."'id_transaccion':'".$reg->id_transaccion."',";
				$cadena = $cadena."'imprimeObjeto': '1' },";
				$cadena = $cadena."'defaultModal'); ";
				$cadena = $cadena.'"> ';

				$cadena = $cadena.$reg->n_solicitudes.'</a></td>';

				 $errores_solicitud= "<a href='#' id=verErroresTransaccion".$reg->id_transaccion.' name=verErroresTransaccion'.$reg->id_transaccion.' ><input type="hidden" value="0" id="h_Errores"  name="h_Errores"></a> ';

		
				if ($reg->n_errores_solicitudes == 0)
				{		
					$cadena = $cadena."<td>".$errores_solicitud.$reg->n_errores_solicitudes."</td>";
					
				}
				else
				{

				$cadena = $cadena.'<td><a href="#" ';
				$cadena = $cadena.' onclick="jqGetAjax_Modal(';
				//$cadena = $cadena."'".url('').'/';
				$cadena = $cadena."'";
				$cadena = $cadena."get_errorestransaccion','modalContent',";
				$cadena = $cadena."{'id_centrosal':'".$reg->centro_sal."',";
				$cadena = $cadena."'id_transaccion':'".$reg->id_transaccion."',";
				$cadena = $cadena."'imprimeObjeto': '1' },";
				$cadena = $cadena."'defaultModal'); ";
				$cadena = $cadena.'"> ';
				$cadena = $cadena.$reg->n_errores_solicitudes.'</a></td>';

				}


				$cadena = $cadena."</tr>";
				echo $cadena;

		    	}


			}




		}



	}

	

	// 
	public function get_errorestransaccion(){

		

		session_start(); // El formulario requiere el uso de variables de sesion
		$id_centrosal='';
		$id_transaccion='';

		 if(isset($_POST['id_centrosal']))$id_centrosal=$_POST['id_centrosal'];
        if(isset($_POST['id_transaccion']))$id_transaccion=$_POST['id_transaccion'];

        $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();

        $data = $soapclient->ConsultaExterna_get_TransacVolumenSolicitudReferencias($id_centrosal, $id_transaccion, $wsClave);


        $result = simplexml_load_string($data);
        
        echo '<div style="position: absolute; left: 3%; width: 95%; background-color: #FFF; margin-lef: 10px; margin-bottom: 10px;">';
		if(isset($result->respuesta))
		{ 
			
			foreach($result->respuesta as $reg)
			{
				$i= 0;
		     	foreach($reg[0]->log_errores_en_solicitudes[0]->medico as $medico)
	         	{
	         		if($i==0)
	         		{
	         			echo '<div class="txtSepVertical txtAltura10px"></div><table style="font-size: 12px; width: 98%; margin:auto;" class="table table-bordered table-hover"><tr><th style="text-align: center;">ID doc</th><th style="text-align: center;">Medico</th><th style="text-align: center;">Atributo</th><th style="text-align: center;">Detalle</th></tr>';

	         		}
					//print_r($medico);
					$id_doc = $medico['Id_Doc'];
					$Atributo = $medico['Atributo'];
					$Detalle = $medico['Detalle'];

					$data = null;

					foreach($reg->vol_solicitudes->medico as $medico2){		         		
		         		if(''.$medico2['id_doc'] === ''.$medico['Id_Doc']){
		         			$data = $medico2;
		         			break;
		         		}
		         		
		         	}


					$cadena = "<td>".$id_doc."</td>";
					$cadena .= "<td>".$data['nombre'].' '.$data['primer_ap'].' '.$data['segundo_ap']."</td>";
					$cadena = $cadena."<td>".$Atributo."</td>";
					$cadena = $cadena."<td>".$Detalle."</td>";
					$cadena = $cadena."</tr>";
					echo $cadena;
					$i= $i+1;


    			}
		        
		        $i= 0;
		        foreach($reg[0]->log_errores_en_solicitudes[0]->solicitud as $solicitud)
	         	{
	         		if($i==0)
	         		{
	         			echo '<div class="txtSepVertical txtAltura10px"></div><table style="font-size: 12px; width: 98%; margin:auto;" class="table table-bordered table-hover"><tr><th style="text-align: center;">Folio Solicitud</th><th style="text-align: center;">Atributo</th><th style="text-align: center;">Detalle</th></tr>';

	         		}
					
					$id_doc = $solicitud['Folio'];
					$Atributo = $solicitud['Atributo'];
					$Detalle = $solicitud['Detalle'];


					$cadena = "<td>".$id_doc."</td>";
					$cadena = $cadena."<td>".$Atributo."</td>";
					$cadena = $cadena."<td>".$Detalle."</td>";
					$cadena = $cadena."</tr>";
					echo $cadena;
					$i= $i+1;


    			}


    			




    			$i= 0;
		        foreach($reg[0]->log_errores_en_solicitudes[0]->usuario as $paciente)
	         	{

	         		
	         		if($i==0)
	         		{
	         			echo '<div class="txtSepVertical txtAltura10px"></div><table style="font-size: 12px; width: 98%; margin:auto;" class="table table-bordered table-hover"><tr><th style="text-align: center;">Clave Paciente</th><th style="text-align: center;">Paciente</th><th style="text-align: center;">Atributo</th><th style="text-align: center;">Detalle</th></tr>';

	         		}
					
					$Clave_Pac = $paciente['Clave_Pac'];
					$Atributo = $paciente['Atributo'];
					$Detalle = $paciente['Detalle'];

					$data = null;

					foreach($reg->vol_solicitudes->usuario as $usuario){		         		
		         		if(''.$usuario['clave_pac'] === ''.$paciente['Clave_Pac']){
		         			$data = $usuario;
		         			break;
		         		}
		         		
		         	}
		       
					$cadena = "<td>".$Clave_Pac."</td>";
					$cadena .= "<td>".$data['nombre'].' '.$data['ap_1er'].' '.$data['ap_2do']."</td>";
					$cadena = $cadena."<td>".$Atributo."</td>";
					$cadena = $cadena."<td>".$Detalle."</td>";
					$cadena = $cadena."</tr>";
					echo $cadena;
					$i= $i+1;


    			}
    			$i= 0;
		        foreach($reg[0]->log_errores_en_solicitudes[0]->erroresNComunes as $erores)
	         	{
	         		if($i==0)
	         		{
	         			echo '<div class="txtSepVertical txtAltura10px"></div><table style="font-size: 12px; width: 98%; margin:auto;" class="table table-bordered table-hover"><tr><th style="text-align: center;">id Error</th><th style="text-align: center;">Detalle</th></tr>';

	         		}
					//print_r($medico);
					$idError = $erores['idError'];
					$Titulo = $erores['Titulo'];

					$cadena = "<td>".$idError."</td>";
					$cadena = $cadena."<td>".$Titulo."</td>";					
					$cadena = $cadena."</tr>";
					echo $cadena;
					$i= $i+1;


    			}
				
				$i= 0;
		        foreach($reg[0]->log_errores_en_solicitudes[0]->errores as $erores){
	         		if($i==0) {
	         			echo '<div class="txtSepVertical txtAltura10px">
						</div><table style="font-size: 12px; width: 98%; margin:auto;" class="table table-bordered table-hover">
						<tr><th style="text-align: center;">Folio</th><th style="text-align: center;">Detalle ERROR CRITICO</th></tr>';
	         		}
					//print_r($medico);
					$folio_consulta = $erores['folio_consulta'];
					$atributo_detalle_error = $erores['atributo_detalle_error'];
					$errorCritico = $erores['errorCritico'];

					$cadena = "<td>".$folio_consulta."</td>";
					$cadena = $cadena."<td>".$atributo_detalle_error."</td>";												
					$cadena = $cadena."</tr>";
					echo $cadena;
					$i= $i+1;


    			}
		     
		    }
		    
    	}
    	echo "</div>";
		
	}




	

	public function get_transacvolumensolicitudreferencias(){

		session_start(); // El formulario requiere el uso de variables de sesion
		$id_centrosal='';
		$id_transaccion='';

		 if(isset($_POST['id_centrosal']))$id_centrosal=$_POST['id_centrosal'];
        if(isset($_POST['id_transaccion']))$id_transaccion=$_POST['id_transaccion'];

        $var = ejLib::getInstance();

		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();
		
		$usuario = $_SESSION['operador'];
		$id_doc = $var->desencriptar_AES($usuario['id_doc'], $usuario['x']);

		// recupero catálogo de especialidad
		$data = $soapclient->vcat_especialidad($id_centrosal, $wsClave);
		$result = new SimpleXMLElement(utf8_encode($data));
		
		//Del objeto respuesta se extraen las especialidades
		$especialidades = array(); 

	

		foreach($result->respuesta as $row)
			{ 
				$especialidades[] = array('id_especialidad' => ''.$row->id_especialidad, 'especialidad' => ''. $row->especialidad ) ;
			}

		//print_r($especialidades[0]['id_especialidad']);
		//die();



		// recupero solucitudes 
        $data = $soapclient->ConsultaExterna_get_TransacVolumenSolicitudReferencias($id_centrosal, $id_transaccion, $wsClave);

        //$result = simplexml_load_string($data);
		$result = new SimpleXMLElement(utf8_encode($data));

		// Del objeto respuesta se extraen los Diagnósticos, Médicos, Solicitudes y Usuarios
		$solicitudes = array(); 
		foreach($result-> respuesta-> log_solicitudes->solicitud as $row)
			{ $solicitudes[] = $row ;}
		
		$usuarios = array(); 
		foreach($result-> respuesta-> log_solicitudes->usuario as $row){ $usuarios[] = $row ; }
		
		$medicos = array(); 
		foreach($result-> respuesta-> log_solicitudes->medico as $row)
			{ $medicos[] = $row ; }
		
		$diagnosticos = array(); 
		foreach($result-> respuesta-> log_solicitudes->diagnosticos as $row)
			{ $diagnosticos[] = $row ; }

	

echo '<div style="position: absolute; left: 3%; width: 95%; background-color: #FFF; margin-lef: 10px; margin-bottom: 10px;">';
$ctabla =  '<div class="txtSepVertical txtAltura10px"></div><table style="font-size: 12px; width: 98%; margin:auto;" class="table table-bordered table-hover"><tr><th style="text-align: center;">No. solicitud</th><th style="text-align: center;">Fecha</th><th style="text-align: center;">Paciente</th><th style="text-align: center;">Especialidad</th></tr>';
	


	foreach($solicitudes as $solicitud){


		$especialidad = $var->get_findRow_withCol_byValue($especialidades, 'id_especialidad', ''.$solicitud['especialidad'], true);
		//print_r($especialidad[0]['especialidad']);
			//->especialidad);

		$diagnostico = $var->get_findRow_withCol_byValue($diagnosticos, 'folio', $solicitud['foliocon'], true);

		$medico = $var->get_findRow_withCol_byValue($medicos, 'id_doc', $solicitud['id_doc']);

		$usuario = $var->get_findRow_withCol_byValue($usuarios, 'clave_pac', $solicitud['clave_pac']);
			$cad = ''."<tr>";
			$cad = $cad."<td>".$solicitud['foliocon']."</td>";
			$cad = $cad."<td>".$solicitud['fecha_envio']."</td>";
			$cad = $cad."<td>".trim(utf8_decode($usuario['nombre'])).' '.trim(utf8_decode($usuario['ap_1er'])).' '.trim(utf8_decode($usuario['ap_2do']))."</td>";
			$cad = $cad."<td>".trim(''.utf8_decode($especialidad[0]['especialidad']))."</td>";
						$cad = $cad."</tr>";
			$ctabla = $ctabla." ".$cad;
			//print_r($solicitud);
			
	}
	$ctabla = '</table>'.$ctabla;
		
	$cBoton = ' ';
	$cBoton = $cBoton.'</br> <div id="confirmartransaccion" name="confirmartransaccion"></div> <button type="button" ';
	$cBoton = $cBoton.' data-id_centrosal="'.$id_centrosal.'"';
	$cBoton = $cBoton.' data-id_transaccion="'.$id_transaccion.'"';
	$cBoton = $cBoton.' data-id_doc="'.$id_doc.'"';
	$cBoton = $cBoton.' '.'id="cmd_autorizartransaccion1"  name="cmd_autorizartransaccion1"  class="btn btn-default "><i class="fa fa-check"></i> Autorizar carga de referencias </button>';
	$ctabla = $ctabla.$cBoton;
	echo $ctabla;

	echo "</div>";

	}


	
	// 21 Mar 2024 . Juan Pablo Sánchez Bracamontes
	public function rpt_concentrado_solicitudes_referencias_csv(){
		$Notif=	array('error' => '0', 'titulo' => '', 'detalle' => '');

	    $var = ejLib::getInstance();
	    $soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();

	    $centro_sal = '';	    
	    

		if(isset($_POST['CLUES_solicitante']) && trim($_POST['CLUES_solicitante']) != ''){
		    $data = $soapclient->AdministrarCatalogos_get_CentroSalud('', $_POST['CLUES_solicitante'], $wsClave);
			$data = new SimpleXMLElement(utf8_encode($data));
			$cs = $data->respuesta;
			$centro_sal = $cs->centro_sal;
		}

		$data = $soapclient->ConsultaExterna_getLstReferenciasConcentrado_rpt_excel($centro_sal, $_POST['tipo_solicitud'], $_POST['fecha_inicio'], $_POST['fecha_cierre'], $wsClave);

        $respuesta = new SimpleXMLElement(utf8_encode($data));
      

        $data = array();
        $i = 0;

        foreach($respuesta->respuesta AS $row){                    	
        	array_push($data, array(utf8_decode(utf8_decode($row->unidad_medica)), utf8_decode(utf8_decode($row->tipo)), $row->solicitadas, $row->agendadas, $row->sin_agendar, $row->canceladas
        		)
        	);
            
        }
        
        $header_args = array( utf8_decode('Unidad médica que refiere'), 'Tipo de solicitud', 'Solicitadas', 'Agendadas', 'Sin agendar', 'Canceladas' );


        
        header('Content-Type: text/csv; charset=utf-8');
        header('Content-Disposition: attachment; filename=concentrado-referencias.csv');

        $output = fopen( 'php://output', 'w' );
        ob_end_clean();
        fputcsv($output, $header_args);

        foreach($data AS $data_item){
            fputcsv($output, $data_item);
        }
        exit;

	}

	  // 17 Oct 2024 . Janeth C.
	public function getLstToxicomanias(){

        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['clave_pac'])  ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $clave_pac=$_POST['clave_pac'];
       

        $objLstToxicomanias = $soapclient->HistoriaClinica_getLstToxicomanias_xPaciente($clave_pac, $wsClave);
  		$Toxicomanias  = new SimpleXMLElement(utf8_encode($objLstToxicomanias));  



  		//print_r($Toxicomanias);   

  		
        ?>
        			 <table class="table table-dark">

                        <thead>
	                        <tr class="table-dark">
	                          <th scope="col">Toxicomanía</th>
	                          <th scope="col">Fecha Inicio</th>
	                          <th scope="col">Fecha Fin</th>
	                          <th scope="col">Consumo por día</th>
	                          <th scope="col">Unidad</th>
	                          <th scope="col">Opciones</th>
	                        </tr>
	                     </thead>
	                     <tbody>
                                                
                        
                   <!-- registros -->
                    <?php
                  foreach($Toxicomanias->respuesta as $reg){
             
                    if( !isset($reg->error) ){
                    	if( !empty($reg->id_toxi)) {
                      ?>
                        <tr>
                          <td><?php echo utf8_decode($reg->toxicomania) ; ?></td>
                          <td><?php echo utf8_decode($reg->f_inicio); ?></td>
                          <td><?php echo utf8_decode($reg->f_fin); ?></td>
                          <td style="text-align: center;"><?php echo utf8_decode($reg->consumo); ?></td>
                          <td style="text-align: center;"><?php echo utf8_decode($reg->unidad); ?></td>
                          <td style="text-align: center;"><div class="opciones-links">
                          	
                          	<a href="#"  style="background: #038a09;" onclick="editarToxicomania(<?php echo utf8_decode($reg->n_reg); ?>, <?php echo $clave_pac; ?>,<?php echo $reg->id_toxi; ?> , '<?php echo $reg->f_inicio; ?>' , '<?php echo $reg->f_fin; ?>', <?php echo $reg->consumo; ?> , '<?php echo $reg->unidad; ?>'   );"><i class="fa fa-pencil fa-lg"></i></a>
                          	<a href="#" style="background: red;" data-n_reg = "<?php echo utf8_decode($reg->n_reg); ?>" onclick="eliminarToxicomania(<?php echo utf8_decode($reg->n_reg); ?>, <?php echo $clave_pac; ?>);"><i class="fa fa-trash fa-lg"></i></a></div>
                          </td>
                        </tr>
                    <?php
                   } else{ ?> <tr>
                          <td><?php echo $reg->toxicomania ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr> <?php } }else{
                      ?>
                        <tr>
                          <td><?php echo $reg->toxicomania ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
                     </tbody>
                      </table>
        <?php        
        return;
    }


    //HistoriaClinica_getLstQuirurgicos_xPaciente
    public function getLstQuirurgicos(){

        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['clave_pac'])  ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $clave_pac=$_POST['clave_pac'];
       

        $objLstQuirurgicos = $soapclient->HistoriaClinica_getLstQuirurgicos_xPaciente($clave_pac, $wsClave);
  		$Quirurgicos  = new SimpleXMLElement(utf8_encode($objLstQuirurgicos));  



  		//print_r($Toxicomanias);   

  		
        ?>
        			 <table class="table table-dark">

                        <thead>
	                        <tr class="table-dark">
	                          <th scope="col">Clave</th>
	                          <th scope="col">Nombre</th>
	                          <th scope="col">Opciones</th>
	                        </tr>
	                     </thead>
	                     <tbody>
                                                
                        
                   <!-- registros -->
                    <?php
                  foreach($Quirurgicos->respuesta as $reg){
             
                    if( !isset($reg->error) ){
                    	if( !empty($reg->clave)) {
                      ?>
                        <tr>
                          <td><?php echo utf8_decode($reg->clave) ; ?></td>
                          <td><?php echo utf8_decode($reg->nombre); ?></td>
                          
                          <td >
                          	<div class="opciones-links">
                          	<a></a>                 	
                          	<a href="#" style="background: red;"  onclick="eliminarQuirurgico('<?php echo utf8_decode($reg->clave); ?>', <?php echo $clave_pac; ?>, confirm);"><i class="fa fa-trash fa-lg"></i></a>
                          </div>
                          </td>
                        </tr>
                    <?php
                   } else{ ?> <tr>
                          <td><?php echo $reg->nombre ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr> <?php } }else{
                      ?>
                        <tr>
                          <td><?php echo $reg->nombre ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
                     </tbody>
                      </table>
        <?php        
        return;
    }



     public function getLstAlergicos(){

        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['clave_pac'])  ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $clave_pac=$_POST['clave_pac'];
       

        $objLstAlergicos = $soapclient->HistoriaClinica_getLstAlergicos_xPaciente($clave_pac, $wsClave);
  		$Alergicos  = new SimpleXMLElement(utf8_encode($objLstAlergicos));  



  		//print_r($Toxicomanias);   

  		
        ?>
        			 <table class="table table-dark">

                        <thead>
	                        <tr class="table-dark" style=" background: #a3a3a3;">
	                          <th scope="col">Alérgeno</th>
	                          <th scope="col">Fecha Inicio</th>
	                          <th scope="col">Médico</th>
	                          <th scope="col">Reacción</th>
	                          <th scope="col">Estado Actual</th>
	                          <th scope="col">Observaciones</th>
	                          <th scope="col">Opciones</th>
	                        </tr>
	                     </thead>
	                     <tbody>
                                                
                        
                   <!-- registros -->
                    <?php
                    $i=0;
                  foreach($Alergicos->respuesta as $reg){
             
                    if( !isset($reg->error) ){
                    	if( !empty($reg->alergia) ) {
                      ?>
                        <tr>
                          <td><?php echo utf8_decode($reg->alergia) ; ?></td>
                          <td><?php echo utf8_decode($reg->f_inicio); ?></td>
                          <td><?php echo utf8_decode($reg->medico); ?></td>
                          <td><?php echo utf8_decode($reg->reaccion); ?></td>
                          <td><?php echo utf8_decode($reg->estado_actual); ?></td>
                          <td><?php echo utf8_decode($reg->observaciones); ?></td>
                          
                          <td >
                          	<div class="opciones-links">
                          	<a></a>                 	
                          	<?php if( ($reg->alergia == "NO EXISTEN DATOS" || $reg->alergia == "NINGUNO" )){ 
                          		?> 
                          		
                          	<?php } else { ?><a href="#" style="background: red;"  onclick="eliminarAlergico('<?php echo ++$i ; ?>', <?php echo $clave_pac; ?>, confirm);"><i class="fa fa-trash fa-lg"></i></a> 
                          	<?php }  ?>
                          	
                          </div>
                          </td>
                        </tr>
                    <?php
                   } else{ ?> <tr>
                          <td><?php echo $reg->alergia ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr> <?php } }else{
                      ?>
                        <tr>
                          <td><?php echo $reg->alergia ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
                     </tbody>
                      </table>
        <?php        
        return;
    }

 	
 	public function getLstHospitalizaciones(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['clave_pac'])  ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $clave_pac=$_POST['clave_pac'];
       

        $objLstHospitalizaciones = $soapclient->HistoriaClinica_getLstHospitalizaciones_xPaciente($clave_pac, $wsClave);
  		$Hospitalizaciones  = new SimpleXMLElement(utf8_encode($objLstHospitalizaciones));  



  		//print_r($Toxicomanias);   

  		
        ?>
        			 <table class="table table-dark">

                        <thead>
	                        <tr class="table-dark" style=" background: #a3a3a3;">
	                          <th scope="col">Fecha</th>
	                          <th scope="col">Motivo</th>
	                          <th scope="col">Hospital</th>
	                          <th scope="col">Estancia</th>
	                          <th scope="col">Opciones</th>
	                        </tr>
	                     </thead>
	                     <tbody>
                                                
                        
                   <!-- registros -->
                    <?php
                    $i=0;
                  foreach($Hospitalizaciones->respuesta as $reg){
             
                    if( !isset($reg->error) ){
                    	if( !empty($reg->nombre) ) {
                      ?>
                        <tr>
                          <td><?php echo utf8_decode($reg->fecha_app) ; ?></td>
                          <td><?php echo utf8_decode($reg->nombre); ?></td>
                          <td><?php echo utf8_decode($reg->desc_centr); ?></td>
                          <td><?php echo utf8_decode($reg->estancia_app); ?></td>
                                         
                          <td >
                          	<div class="opciones-links">
                                    	
                          	<?php if( ($reg->nombre == "NO EXISTEN DATOS" || $reg->nombre == "NINGUNO" )){ 
                          		?> 
                          		
                          	<?php } else { ?><a href="#" style="background: red;"  onclick="eliminarHospitalizacion('<?php echo utf8_decode($reg->fecha_app) ; ?>', <?php echo $clave_pac; ?>, confirm);"><i class="fa fa-trash fa-lg"></i></a> 
                          	<?php }  ?>
                          	
                          </div>
                          </td>
                        </tr>
                    <?php
                   } else{ ?> <tr>
                          <td><?php echo $reg->nombre ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr> <?php } }else{
                      ?>
                        <tr>
                          <td><?php echo $reg->nombre ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
                     </tbody>
                      </table>
        <?php        
        return;
    }




 	
 	public function getLstPadecimientos(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['clave_pac'])  ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $clave_pac=$_POST['clave_pac'];
       


		$objLstPadecimientos = $soapclient->HistoriaClinica_getLstPadecimientosActuales_xPaciente($clave_pac, $wsClave);
		$Padecimientos  = new SimpleXMLElement(utf8_encode($objLstPadecimientos)); 


  		
        ?>
        			 <table class="table table-dark">

                        <thead>
	                        <tr class="table-dark" style=" background: #a3a3a3;">
	                          <th scope="col">Fecha</th>
	                          <th scope="col">Padecimiento</th>
	                          <th scope="col">Observaciones</th>
	                          <th scope="col">Opciones</th>
	                        </tr>
	                     </thead>
	                     <tbody>
                                                
                        
                   <!-- registros -->
                    <?php
                    $i=0;
                  foreach($Padecimientos->respuesta as $reg){
             
                    if( !isset($reg->error) ){
                    	if( !empty($reg->cve) ) {
                      ?>
                        <tr>
                          <td><?php echo utf8_decode($reg->fecha) ; ?></td>
                          <td><?php echo utf8_decode($reg->diagnostico); ?></td>
                          <td><?php echo utf8_decode($reg->observaciones); ?></td>
                       
                                         
                          <td >
                          	<div class="opciones-links">
                                  	
                          	<?php if( ($reg->diagnostico == "NO EXISTEN DATOS" || $reg->diagnostico == "NINGUNO" )){ 
                          		
						    ?> 
						                          		
                          	<?php } else { ?><a href="#" style="background: red;"  onclick="eliminarPadecimiento(<?php echo utf8_decode($reg->centro_sal) ; ?>,<?php echo utf8_decode($reg->folio); ?>,'<?php echo utf8_decode(trim($reg->cve)); ?>', 99, confirm);"><i class="fa fa-trash fa-lg"></i></a> 
                          	<?php }  ?>
                          	
                          </div>
                          </td>
                        </tr>
                    <?php
                   } else{ ?> <tr>
                          <td><?php echo $reg->diagnostico ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr> <?php } }else{
                      ?>
                        <tr>
                          <td><?php echo $reg->diagnostico ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
                     </tbody>
                      </table>
        <?php        
        return;
    }

    
    public function getLstDiscapacidades(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['clave_pac'])  ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $clave_pac=$_POST['clave_pac'];
       


		$objLstDiscapacidades = $soapclient->HistoriaClinica_getLstDiscapacidades_xPaciente($clave_pac, $wsClave);
		$Discapacidades  = new SimpleXMLElement(utf8_encode($objLstDiscapacidades)); 


  		
        ?>
        			 <table class="table table-dark">

                        <thead>
	                        <tr class="table-dark" style=" background: #a3a3a3;">
	                          <th scope="col">Clave</th>
	                          <th scope="col">Nombre</th>
	                          <th scope="col">Opciones</th>
	                        </tr>
	                     </thead>
	                     <tbody>
                                                
                        
                   <!-- registros -->
                    <?php
                    $i=0;
                  foreach($Discapacidades->respuesta as $reg){
             
                    if( !isset($reg->error) ){
                    	if( !empty($reg->codigo) ) {
                      ?>
                        <tr>
                          <td><?php echo utf8_decode($reg->codigo) ; ?></td>
                          <td><?php echo utf8_decode($reg->descripcion); ?></td>
                       
                       
                                         
                          <td >
                          	<div class="opciones-links">
                                  	
                          	<?php if( ($reg->descripcion == "NO EXISTEN DATOS" || $reg->descripcion == "NINGUNO" )){ 
                          		
						    ?> 
						                          		
                          	<?php } else { ?><a href="#" style="background: red;"  onclick="eliminarDiscapacidad('<?php echo utf8_decode(trim($reg->codigo)); ?>',<?php echo utf8_decode(trim($clave_pac)); ?>, confirm);"><i class="fa fa-trash fa-lg"></i></a> 
                          	<?php }  ?>
                          	
                          </div>
                          </td>
                        </tr>
                    <?php
                   } else{ ?> <tr>
                          <td><?php echo $reg->descripcion ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr> <?php } }else{
                      ?>
                        <tr>
                          <td><?php echo $reg->descripcion ; ?></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
                     </tbody>
                      </table>
        <?php        
        return;
    }




    public function getCheckStatusFolioReceta(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        $folio = '';
   		$centro_sal = '';    
   		 //Se reciben las variables por POST, que fueron enviadas desde viewImprimirReferencia
		if(isset($_POST['folio']))
      		$folio = $_POST['folio'];
    	if(isset($_POST['centro_sal']))
      		$centro_sal = $_POST['centro_sal'];  
       


		$objCheckFolioReceta = $soapclient->ConsultaExterna_chkStatusFolioReceta($centro_sal, $folio, $wsClave);
		$Status  = new SimpleXMLElement(utf8_encode($objCheckFolioReceta)); 

		
        ?>
        			             
        <?php
                
        	if( $Status->respuesta[0]->error == '0'){  ?>
  			<div class="modal-header" style="background: #ffffffe8;">
        		<h5 class="modal-title" id="exampleModalLongTitle">Impresión de receta médica</h5>
       			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
		          <span aria-hidden="true">&times;</span>
		        </button>
     		</div>
      		<div class="modal-body" style="background: #fffffffc;">
     			 A continuación se generarán las recetas médicas ¿Desea continuar?
      		</div>
      		<div class="modal-footer">
      		  <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
       		 <button type="button" name="bntConfirm" class="btn btn-success" data-dismiss="modal" onclick=" var folio = <?php echo utf8_decode(trim($folio)); ?>; var centro_sal = <?php echo utf8_decode(trim($centro_sal)); ?>;  jqGetAjax_Modal('Agenda_consultaExterna_medicamentos_receta_pdf','modalContent', {'folio': folio, 'centro_sal': centro_sal, 'imprimeObjeto': '1', 'tipo': 0 }, 'defaultModal');
                        SmoothScrollTo('#primary_Hoja_Frontal');">Si</button>
     		 </div>

               	<?php } else if($Status->respuesta[0]->error == '1'){ ?>
                      <div class="modal-header" style=" background: #fffffffc;">
			        		<h5 class="modal-title" id="exampleModalLongTitle">Impresión de receta médica</h5>
			       			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					          <span aria-hidden="true">&times;</span>
					        </button>
			     		</div>
			      		<div class="modal-body" style=" background: #fffffffc;">
			     			 Se ha detectado que las recetas ya fueron impresas ¿desea cancelar los folios? 
			     			<div class="form-check">
								  <input class="form-check-input" type="radio" name="opt_motivo_cancela" id="opt_motivo_cancela1" checked value="1">
								  <label class="form-check-label" for="opt_motivo_cancela1">
								    Si, cancelar la receta anterior
								  </label>
							</div>
								<div class="form-check">
								  <input class="form-check-input" type="radio" name="opt_motivo_cancela" id="opt_motivo_cancela2" value ="2" >
								  <label class="form-check-label" for="opt_motivo_cancela2">
								   No, mantener la receta actual
								  </label>
								</div>

								<div class="form-group" id="cnt_motivo" name="cnt_motivo">
    								<label for="exampleFormControlTextarea1">Especifique motivo de cancelación:</label>
   									<textarea class="form-control" id="txtMotivoCancela" rows="3" name="txtMotivoCancela"></textarea>
 								</div>

			      		</div>
			      		<div class="modal-footer" style=" background: #fffffffc;">
			      		  <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
			       		 <button type="button" name="bntConfirm" class="btn btn-success" data-dismiss="modal" onclick="   var motivo = $('#cnt_motivo #txtMotivoCancela').val(); var folio = <?php echo utf8_decode(trim($folio)); ?>; var centro_sal = <?php echo utf8_decode(trim($centro_sal)); ?>;  var tipo = $('input:radio[name=opt_motivo_cancela]:checked').val(); if(tipo==1 && motivo==''){ $.notify('Favor de especificar motivo de cancelación'); return false;}
			       		 		  jqGetAjax_Modal('Agenda_consultaExterna_medicamentos_receta_pdf','modalContent', {'folio': folio, 'centro_sal': centro_sal, 'imprimeObjeto': '1', 'tipo': tipo, 'motivo': motivo }, 'defaultModal');
			  					 SmoothScrollTo('#primary_Hoja_Frontal')">Imprimir</button>
			     		 </div>
                    <?php
                    }
                  ?>
                    
        <?php        
        return;
    }


}


